CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Dropbear Ssh Project » Dropbear Ssh » * * * * : Security Vulnerabilities

Cpe Name:cpe:2.3:a:dropbear_ssh_project:dropbear_ssh:*:*:*:*:*:*:*:*
Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
1 CVE-2020-36254 2021-02-25 2021-09-17
6.8
None Remote Medium Not required Partial Partial Partial
scp.c in Dropbear before 2020.79 mishandles the filename of . or an empty filename, a related issue to CVE-2018-20685.
2 CVE-2019-12953 200 +Info 2020-12-30 2021-07-21
5.0
None Remote Low Not required Partial None None
Dropbear 2011.54 through 2018.76 has an inconsistent failure delay that may lead to revealing valid usernames, a different issue than CVE-2018-15599.
3 CVE-2018-15599 200 +Info 2018-08-21 2020-12-30
5.0
None Remote Low Not required Partial None None
The recv_msg_userauth_request function in svr-auth.c in Dropbear through 2018.76 is prone to a user enumeration vulnerability because username validity affects how fields in SSH_MSG_USERAUTH messages are handled, a similar issue to CVE-2018-15473 in an unrelated codebase.
4 CVE-2017-9079 732 2017-05-19 2019-10-04
4.7
None Local Medium Not required Complete None None
Dropbear before 2017.75 might allow local users to read certain files as root, if the file has the authorized_keys file format with a command= option. This occurs because ~/.ssh/authorized_keys is read with root privileges and symlinks are followed.
5 CVE-2017-9078 415 Exec Code 2017-05-19 2019-10-04
9.3
None Remote Medium Not required Complete Complete Complete
The server in Dropbear before 2017.75 might allow post-authentication root remote code execution because of a double free in cleanup of TCP listeners when the -a option is enabled.
6 CVE-2017-2659 287 2019-03-21 2019-10-09
5.0
None Remote Low Not required Partial None None
It was found that dropbear before version 2013.59 with GSSAPI leaks whether given username is valid or invalid. When an invalid username is given, the GSSAPI authentication failure was incorrectly counted towards the maximum allowed number of password attempts.
7 CVE-2016-7409 200 +Info 2017-03-03 2017-03-04
2.1
None Local Low Not required Partial None None
The dbclient and server in Dropbear SSH before 2016.74, when compiled with DEBUG_TRACE, allows local users to read process memory via the -v argument, related to a failed remote ident.
8 CVE-2016-7408 284 Exec Code 2017-03-03 2017-03-04
6.5
None Remote Low ??? Partial Partial Partial
The dbclient in Dropbear SSH before 2016.74 allows remote attackers to execute arbitrary code via a crafted (1) -m or (2) -c argument.
9 CVE-2016-7407 20 Exec Code 2017-03-03 2017-03-04
10.0
None Remote Low Not required Complete Complete Complete
The dropbearconvert command in Dropbear SSH before 2016.74 allows attackers to execute arbitrary code via a crafted OpenSSH key file.
10 CVE-2016-7406 20 Exec Code 2017-03-03 2017-03-04
10.0
None Remote Low Not required Complete Complete Complete
Format string vulnerability in Dropbear SSH before 2016.74 allows remote attackers to execute arbitrary code via format string specifiers in the (1) username or (2) host argument.
11 CVE-2016-3116 Bypass 2016-03-22 2016-12-03
5.5
None Remote Low ??? Partial Partial None
CRLF injection vulnerability in Dropbear SSH before 2016.72 allows remote authenticated users to bypass intended shell-command restrictions via crafted X11 forwarding data.
12 CVE-2013-4434 189 2013-10-25 2018-10-30
5.0
None Remote Low Not required Partial None None
Dropbear SSH Server before 2013.59 generates error messages for a failed logon attempt with different time delays depending on whether the user account exists, which allows remote attackers to discover valid usernames.
13 CVE-2013-4421 189 DoS 2013-10-25 2018-10-30
5.0
None Remote Low Not required None None Partial
The buf_decompress function in packet.c in Dropbear SSH Server before 2013.59 allows remote attackers to cause a denial of service (memory consumption) via a compressed packet that has a large size when it is decompressed.
14 CVE-2012-0920 399 Exec Code Bypass 2012-06-05 2018-10-30
7.1
None Remote High ??? Complete Complete Complete
Use-after-free vulnerability in Dropbear SSH Server 0.52 through 2012.54, when command restriction and public key authentication are enabled, allows remote authenticated users to execute arbitrary code and bypass command restrictions via multiple crafted command requests, related to "channels concurrency."
15 CVE-2007-1099 2007-02-26 2018-10-30
7.5
None Remote Low Not required Partial Partial Partial
dbclient in Dropbear SSH client before 0.49 does not sufficiently warn the user when it detects a hostkey mismatch, which might allow remote attackers to conduct man-in-the-middle attacks.
16 CVE-2006-1206 DoS 2006-03-14 2018-10-30
5.0
None Remote Low Not required None None Partial
Matt Johnston Dropbear SSH server 0.47 and earlier, as used in embedded Linux devices and on general-purpose operating systems, allows remote attackers to cause a denial of service (connection slot exhaustion) via a large number of connection attempts that exceeds the MAX_UNAUTH_CLIENTS defined value of 30.
17 CVE-2005-4178 Exec Code Overflow 2005-12-12 2018-10-30
6.5
None Remote Low ??? Partial Partial Partial
Buffer overflow in Dropbear server before 0.47 allows authenticated users to execute arbitrary code via unspecified inputs that cause insufficient memory to be allocated due to an incorrect expression that does not enforce the proper order of operations.
18 CVE-2004-2486 2004-12-31 2018-10-30
7.5
None Remote Low Not required Partial Partial Partial
The DSS verification code in Dropbear SSH Server before 0.43 frees uninitialized variables, which might allow remote attackers to gain access.
Total number of vulnerabilities : 18   Page : 1 (This Page)
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.